﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GameManager : MonoBehaviour {

	public int playerHealth, playerMaxHealth;
	public float playerScore;
	public GameObject thePlayer;
	public bool paused;
	public GameObject pausePanel, gameOverPanel;
	public GameObject musicPlayer, bgmPlayer;
	public Animator playerAnim;
	public AnimationClip deathAnim;
	public bool continueEnding;

	// Use this for initialization
	void Start () {
		playerHealth = playerMaxHealth;
		paused = false;
		playerAnim.SetInteger("PlayerHealth", playerMaxHealth);
	}
	
	// Update is called once per frame
	void Update () {

		//print(playerHealth);

		if(playerHealth <= 0){
			Invoke ("KillPlayer", deathAnim.length);
		}

		playerAnim.SetInteger("PlayerHealth", playerHealth);
			
		if (Input.GetKeyDown (KeyCode.Escape)) {

			if (!paused){
				PauseGame ();
			}
		}

	}

	void KillPlayer(){
		Destroy (thePlayer);
		Time.timeScale = 0f;
		gameOverPanel.SetActive (true);
		bgmPlayer.SetActive (false);
	}

	void PauseGame(){

		if (Time.timeScale == 1f) {
			Time.timeScale = 0f;
			paused = true;
			//musicPlayer.SetActive (false);
			bgmPlayer.SetActive (false);
			pausePanel.SetActive (true);
		}

	}

	public void UnpauseGame(){

		if (Time.timeScale == 0f) {
			Time.timeScale = 1f;
			paused = false;
			//musicPlayer.SetActive (true);
			bgmPlayer.SetActive (true);
			pausePanel.SetActive (false);
		}
	}



}
